# AI Snake Game

A polished implementation of the classic Snake game with both human player and AI modes.

## Features

- Classic snake gameplay with modern graphics
- AI-controlled snake with multiple difficulty levels
- Score tracking and high score system
- Configurable game settings
- Sound effects and background music

## Installation

1. Clone the repository:
```bash
git clone https://git.spacetrainclubhouse.com/Rbanh/AI-Snake-Game.git
cd AI-Snake-Game
```

2. Create and activate virtual environment:
```bash
python -m venv venv
# On Windows:
.\venv\Scripts\activate
# On Unix or MacOS:
source venv/bin/activate
```

3. Install dependencies:
```bash
pip install -r requirements.txt
```

## Usage

To start the game:
```bash
python src/main.py
```

## Project Structure

```
ai-snake/
├── src/           # Source code
├── tests/         # Test files
├── assets/        # Game assets (images, sounds)
├── venv/          # Virtual environment
├── README.md      # Project documentation
└── requirements.txt # Python dependencies
```

## Development

This project is under active development. See the ROADMAP.md file for current status and planned features.

## License

MIT License 